Pinax
    EVM and SVM onchain data endpoints, plus API documentation and monitoring.
    Resources & endpoints
    EVM NFTs

    NFT Collections

    Returns NFT collection metadata, supply, owner count, and transfer history.
    GET
    https://api.pinax.network/v1/evm/nft/collections
    Requires bearer token — sign in to inject your team’s key.

    Supported networks (9)

    Arbitrum OneArbitrum OneAvalancheAvalancheBaseBaseBNBBNBHyperEVMHyperEVMEthereumEthereumOptimismOptimismPolygonPolygonUnichainUnichain

    Required parameters

    NameTypeDescription
    networkrequired
    query
    Enum · 9The Graph Network ID for EVM networks https://thegraph.com/networks
    arbitrum-oneavalanchebasebschyperevmmainnetoptimismpolygonunichain
    e.g. mainnet
    contractrequired
    query
    ContractFilter by contract address
    e.g. 0xbd3531da5cf5857e7cfaa92426877b022e612cf8

    Optional parameters

    NameTypeDescription
    limit
    query
    integerNumber of items* returned in a single request.
    *Plan restricted.
    page
    query
    integerPage number to fetch.
    Empty data array signifies end of results.

    Response

    200 OK
    {
      "data": [
        {
          "contract_creation": "2021-07-22 12:26:01",
          "contract_creator": "0xe9da256a28630efdc637bfd4c65f0887be1aeda8",
          "contract": "0xbd3531da5cf5857e7cfaa92426877b022e612cf8",
          "name": "PudgyPenguins",
          "symbol": "PPG",
          "token_standard": "ERC721",
          "owners": 4952,
          "total_supply": 8888,
          "total_unique_supply": 8888,
          "total_transfers": 193641,
          "network": "mainnet"
        }
      ]
    }